<?php

namespace Planaday\Html\Tags\DayParts;

use Planaday\Html\Tags\DayParts\DayPartItem\DayPartItem;
use Planaday\Html\Tags\DayParts\DayPartList\DayPartList;
use Planaday\Html\Tags\TagHandlerTemplate;
use Planaday\Utility\DependencyInjection\Container;

class DayPartsTagsHandler extends TagHandlerTemplate {
	public function __construct() {
		$this->tags = [
			DayPartItem::TAG => function ( Container $registry ) {
				return new DayPartItem( $registry );
			},
			DayPartList::TAG => function ( Container $registry ) {
				return new DayPartList( $registry );
			}
		];
	}
}